Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.swrl.bridge.impl
Class AtomImpl

    java.lang.Object
      edu.stanford.smi.protegex.owl.swrl.bridge.impl.AtomImpl

All Implemented Interfaces:
  Atom

Direct Known Subclasses:
  BuiltInAtomImpl, ClassAtomImpl, DataRangeAtomImpl, DatavaluedPropertyAtomImpl, IndividualPropertyAtomImpl, IndividualsAtomImpl

    public class AtomImpl

extends Object
implements Atom

Constructor Summary
`AtomImpl()`

Method Summary
`protected void` | `addReferencedClassName(String className)`
`protected void` | `addReferencedIndividualName(String individualName)`
`protected void` | `addReferencedPropertyName(String propertyName)`
`protected void` | `addReferencedVariableName(String variableName)`
`Set<String>` | `getReferencedClassNames()`
`Set<String>` | `getReferencedIndividualNames()`
`Set<String>` | `getReferencedPropertyNames()`
`Set<String>` | `getReferencedVariableNames()`
`boolean` | `hasReferencedClasses()`
`boolean` | `hasReferencedIndividuals()`
`boolean` | `hasReferencedProperties()`
`boolean` | `hasReferencedVariables()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtomImpl

    public AtomImpl()

Method Detail

### hasReferencedClasses

    public boolean hasReferencedClasses()

  Specified by:
    `hasReferencedClasses` in interface `Atom`

### getReferencedClassNames

    public Set<String> getReferencedClassNames()

  Specified by:
    `getReferencedClassNames` in interface `Atom`

### hasReferencedProperties

    public boolean hasReferencedProperties()

  Specified by:
    `hasReferencedProperties` in interface `Atom`

### getReferencedPropertyNames

    public Set<String> getReferencedPropertyNames()

  Specified by:
    `getReferencedPropertyNames` in interface `Atom`

### hasReferencedIndividuals

    public boolean hasReferencedIndividuals()

  Specified by:
    `hasReferencedIndividuals` in interface `Atom`

### getReferencedIndividualNames

    public Set<String> getReferencedIndividualNames()

  Specified by:
    `getReferencedIndividualNames` in interface `Atom`

### hasReferencedVariables

    public boolean hasReferencedVariables()

  Specified by:
    `hasReferencedVariables` in interface `Atom`

### getReferencedVariableNames

    public Set<String> getReferencedVariableNames()

  Specified by:
    `getReferencedVariableNames` in interface `Atom`

### addReferencedClassName

    protected void addReferencedClassName(String className)

### addReferencedPropertyName

    protected void addReferencedPropertyName(String propertyName)

### addReferencedIndividualName

    protected void addReferencedIndividualName(String individualName)

### addReferencedVariableName

    protected void addReferencedVariableName(String variableName)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.